Package org.eclipse.cdt.core.index.export

# Class ExportIndexFileInfoMatcher

java.lang.Object
org.eclipse.core.resources.filtermatchers.AbstractFileInfoMatcher
org.eclipse.cdt.core.index.export.ExportIndexFileInfoMatcher

public class ExportIndexFileInfoMatcher extends org.eclipse.core.resources.filtermatchers.AbstractFileInfoMatcher
FileInfoMatcher that will match a given project relative path for a directory we want to exclude.

Since:
  5.7

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`ID`

## Constructor Summary

Constructors
Constructor
Description
`ExportIndexFileInfoMatcher()`

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.core.resources.FileInfoMatcherDescription`
`getDescription(String excludePath)`
`void`
`initialize(org.eclipse.core.resources.IProject project, Object arguments)`
`boolean`
`matches(org.eclipse.core.resources.IContainer parent, org.eclipse.core.filesystem.IFileInfo fileInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static String ID

## Constructor Details

### ExportIndexFileInfoMatcher

public ExportIndexFileInfoMatcher()

## Method Details

### getDescription

public static org.eclipse.core.resources.FileInfoMatcherDescription getDescription(String excludePath)

### matches

public boolean matches(org.eclipse.core.resources.IContainer parent, org.eclipse.core.filesystem.IFileInfo fileInfo) throws org.eclipse.core.runtime.CoreException

Specified by:
  `matches` in class `org.eclipse.core.resources.filtermatchers.AbstractFileInfoMatcher`
Throws:
  `org.eclipse.core.runtime.CoreException`

### initialize

public void initialize(org.eclipse.core.resources.IProject project, Object arguments) throws org.eclipse.core.runtime.CoreException

Specified by:
  `initialize` in class `org.eclipse.core.resources.filtermatchers.AbstractFileInfoMatcher`
Throws:
  `org.eclipse.core.runtime.CoreException`